%global maj 0

Name:       jalv
Version:    1.0.0
Release:    2%{?dist}
Summary:    An LV2 Resource Description Framework Library

Group:      System Environment/Libraries
License:    MIT
URL:        http://drobilla.net/software/jalv/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2

BuildRequires:  python
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  lilv-devel >= 0.5.0
BuildRequires:  suil-devel >= 0.6.0
BuildRequires:  jack-audio-connection-kit-devel

%description
%{name} is a simple but fully featured LV2 host for Jack. It runs LV2 plugins 
and exposes their ports as Jack ports, essentially making any LV2 plugin 
function as a Jack application. 

%prep
%setup -q 

# we'll run ld config
sed -i -e 's|bld.add_post_fun(autowaf.run_ldconfig)||' wscript

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"
./waf configure -v\
 --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --datadir=%{_datadir} \
 --configdir=%{_sysconfdir} \
 --docs 
./waf build -v %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf install

%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}*
%{_mandir}/man1/*

%changelog
* Sun Apr 22 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.0-2
- Add missing build requires

* Fri Apr 20 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.0-1
- Initial build
